Bug 176333 - [MAINTAINER] emulators/bsnes: update to 0.92, rename port
Summary: [MAINTAINER] emulators/bsnes: update to 0.92, rename port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 20:10 UTC by Naram Qashat
Modified: 2013-02-22 14:00 UTC (History)
0 users

See Also:


Attachments
higan.patch (9.91 KB, patch)
2013-02-21 20:10 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2013-02-21 20:10:00 UTC
- Update to 0.92
- Port renamed to emulators/higan due to upstream name change

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Max Brazhnikov freebsd_committer 2013-02-22 11:24:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-02-22 13:58:11 UTC
Author: makc
Date: Fri Feb 22 13:57:56 2013
New Revision: 312766
URL: http://svnweb.freebsd.org/changeset/ports/312766

Log:
  - Rename emulators/bsnes to emulators/higan due to upstream name change
  - Update to 0.92
  
  PR:		ports/176333
  Submitted by:	Naram Qashat (maintainer)

Added:
  head/emulators/higan/
     - copied from r312762, head/emulators/bsnes/
Deleted:
  head/emulators/bsnes/
Modified:
  head/MOVED
  head/emulators/Makefile
  head/emulators/higan/Makefile
  head/emulators/higan/distinfo
  head/emulators/higan/files/patch-Makefile   (contents, props changed)
  head/emulators/higan/files/patch-nall-file.hpp   (contents, props changed)
  head/emulators/higan/files/patch-target-ethos-Makefile
  head/emulators/higan/pkg-descr   (contents, props changed)
  head/emulators/higan/pkg-plist   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Fri Feb 22 13:43:40 2013	(r312765)
+++ head/MOVED	Fri Feb 22 13:57:56 2013	(r312766)
@@ -4067,3 +4067,4 @@ net/spnetkit||2013-02-14|Has expired: BR
 net/samba4-devel|net/samba4|2013-02-18|Renamed to reflect maturity of upstream version
 net/libnet-devel|net/libnet|2013-02-18|Renamed to stable branch
 x11-fm/tkdesk||2013-02-19|Obsolete and unmaintained, doesn't run
+emulators/bsnes|emulators/higan|2013-02-22|Renamed upstream

Modified: head/emulators/Makefile
==============================================================================
--- head/emulators/Makefile	Fri Feb 22 13:43:40 2013	(r312765)
+++ head/emulators/Makefile	Fri Feb 22 13:57:56 2013	(r312766)
@@ -12,7 +12,6 @@
     SUBDIR += atari800
     SUBDIR += bfe
     SUBDIR += bochs
-    SUBDIR += bsnes
     SUBDIR += bsvc
     SUBDIR += catapult
     SUBDIR += cinc
@@ -57,6 +56,7 @@
     SUBDIR += hercules
     SUBDIR += hfs
     SUBDIR += hfsutils
+    SUBDIR += higan
     SUBDIR += hugo
     SUBDIR += ia64sim
     SUBDIR += ines

Modified: head/emulators/higan/Makefile
==============================================================================
--- head/emulators/bsnes/Makefile	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/Makefile	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,36 +1,37 @@
 # Created by: elbarto
 # $FreeBSD$
 
-PORTNAME=	bsnes
-PORTVERSION=	0.91
+PORTNAME=	higan
+PORTVERSION=	0.92
 CATEGORIES=	emulators
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}_v${PORTVERSION:S/.//}-source
 
 MAINTAINER=	cyberbotx@cyberbotx.com
-COMMENT=	Super Nintendo/Super Famicom emulator
+COMMENT=	Nintendo multi-system emulator
 
 USE_XZ=		yes
 USE_GMAKE=	yes
 USE_GCC=	4.6+
 USE_PKGCONFIG=	build
+USE_LDCONFIG=	yes
 
 ONLY_FOR_ARCHS=	i386 amd64
 MAKE_ENV+=	c="${CC} -std=gnu99" cpp="${CXX} -std=gnu++0x"
 
 OPTIONS_SINGLE=		PROFILE GUI
-OPTIONS_SINGLE_PROFILE=	ACCURACY COMPATIBILITY PERFORMANCE
+OPTIONS_SINGLE_PROFILE=	ACCURACY BALANCED PERFORMANCE
 OPTIONS_SINGLE_GUI=	GTK2 QT4
 OPTIONS_MULTI=		VIDEO SOUND INPUT
 OPTIONS_MULTI_VIDEO=	GLX SDL XV
 OPTIONS_MULTI_SOUND=	AO OPENAL OSS PULSEAUDIO
 OPTIONS_MULTI_INPUT=	INPUT_SDL INPUT_X
-OPTIONS_DEFAULT=	COMPATIBILITY GTK2 GLX XV SDL \
+OPTIONS_DEFAULT=	BALANCED GTK2 GLX XV SDL \
 			OSS INPUT_SDL INPUT_X
 
-ACCURACY_DESC=		Favor accuracy over compatibility
-COMPATIBILITY_DESC=	Favor compatibility over accuracy
-PERFORMANCE_DESC=	Favor performance over accuracy
+ACCURACY_DESC=		Use accuracy profile
+BALACNED_DESC=		Use balanced profile
+PERFORMANCE_DESC=	Use performance profile
 GTK2_DESC=		Build with GTK+2 GUI
 QT4_DESC=		Build with QT4 GUI
 GLX_DESC=		Build GLX video driver
@@ -47,8 +48,8 @@ INPUT_X_DESC=		Build X input driver
 
 .if ${PORT_OPTIONS:MACCURACY}
 MAKE_ENV+=	profile="accuracy"
-.elif ${PORT_OPTIONS:MCOMPATIBILITY}
-MAKE_ENV+=	profile="compatibility"
+.elif ${PORT_OPTIONS:MBALANCED}
+MAKE_ENV+=	profile="balanced"
 .else
 MAKE_ENV+=	profile="performance"
 .endif
@@ -112,10 +113,10 @@ post-patch:
 		-e 's|%%VIDEO%%|${VIDEO_DRIVER}|' \
 		-e 's|%%AUDIO%%|${AUDIO_DRIVER}|' \
 		-e 's|%%INPUT%%|${INPUT_DRIVER}|' \
-		${WRKSRC}/bsnes/target-ethos/Makefile
+		${WRKSRC}/higan/target-ethos/Makefile
 
 do-build:
-.for d in bsnes purify
+.for d in higan ananke
 .if ${PORT_OPTIONS:MQT4}
 	cd ${WRKSRC}/${d}/phoenix/qt && ${MOC} -i -o platform.moc platform.moc.hpp
 .endif
@@ -123,10 +124,11 @@ do-build:
 .endfor
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/bsnes/out/bsnes ${PREFIX}/bin/
-	${INSTALL_PROGRAM} ${WRKSRC}/purify/purify ${PREFIX}/bin/snespurify
-	${INSTALL_DATA} ${WRKSRC}/bsnes/data/bsnes.png ${PREFIX}/share/pixmaps/
+	${INSTALL_LIB} ${WRKSRC}/ananke/libananke.so ${PREFIX}/lib/libananke.so.1
+	${LN} -sf ${PREFIX}/lib/libananke.so.1 ${PREFIX}/lib/libananke.so
+	${INSTALL_PROGRAM} ${WRKSRC}/higan/out/higan ${PREFIX}/bin/
+	${INSTALL_DATA} ${WRKSRC}/higan/data/higan.png ${PREFIX}/share/pixmaps/
 	${MKDIR} ${PREFIX}/share/applications
-	${INSTALL_DATA} ${WRKSRC}/bsnes/data/bsnes.desktop ${PREFIX}/share/applications/
+	${INSTALL_DATA} ${WRKSRC}/higan/data/higan.desktop ${PREFIX}/share/applications/
 
 .include <bsd.port.mk>

Modified: head/emulators/higan/distinfo
==============================================================================
--- head/emulators/bsnes/distinfo	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/distinfo	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,2 +1,2 @@
-SHA256 (bsnes_v091-source.tar.xz) = 8c85a18ff44195d23b54cad53549152f034ee338e590907e8c8cbc3eaa7daf9f
-SIZE (bsnes_v091-source.tar.xz) = 1055048
+SHA256 (higan_v092-source.tar.xz) = b73a740c6a8a82fe42a3f166df16806a6fbe8c140c82d7f6089ed984d7491168
+SIZE (higan_v092-source.tar.xz) = 790136

Modified: head/emulators/higan/files/patch-Makefile
==============================================================================
--- head/emulators/bsnes/files/patch-Makefile	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/files/patch-Makefile	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,11 +1,11 @@
---- bsnes/Makefile.orig	2012-04-24 06:30:52.000000000 -0400
-+++ bsnes/Makefile	2012-05-06 17:58:01.000000000 -0400
-@@ -31,7 +31,7 @@
+--- higan/Makefile.orig	2012-11-04 00:22:50.000000000 -0400
++++ higan/Makefile	2013-02-21 13:58:56.000000000 -0500
+@@ -34,7 +34,7 @@
  # platform
  ifeq ($(platform),x)
    flags += -march=native
--  link += -ldl -lX11 -lXext
-+  link += -lX11 -lXext
- else ifeq ($(platform),osx)
+-  link += -Wl,-export-dynamic -ldl -lX11 -lXext
++  link += -Wl,-export-dynamic -lX11 -lXext
  else ifeq ($(platform),win)
-   link += $(if $(findstring console,$(options)),-mconsole,-mwindows)
+   ifeq ($(arch),win32)
+     flags += -m32

Modified: head/emulators/higan/files/patch-nall-file.hpp
==============================================================================
--- head/emulators/bsnes/files/patch-nall-file.hpp	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/files/patch-nall-file.hpp	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,6 +1,6 @@
---- bsnes/nall/file.hpp.orig	2012-03-06 14:03:53.000000000 -0500
-+++ bsnes/nall/file.hpp	2012-04-16 23:42:33.000000000 -0400
-@@ -160,8 +160,8 @@
+--- higan/nall/file.hpp.orig	2013-01-14 13:27:28.000000000 -0500
++++ higan/nall/file.hpp	2013-02-21 14:05:00.000000000 -0500
+@@ -218,8 +218,8 @@
  
      static bool exists(const string &filename) {
        #if !defined(_WIN32)
@@ -11,7 +11,7 @@
        #else
        struct __stat64 data;
        return _wstat64(utf16_t(filename), &data) == 0;
-@@ -170,8 +170,8 @@
+@@ -228,8 +228,8 @@
  
      static uintmax_t size(const string &filename) {
        #if !defined(_WIN32)
@@ -22,7 +22,7 @@
        #else
        struct __stat64 data;
        _wstat64(utf16_t(filename), &data);
-@@ -181,8 +181,8 @@
+@@ -239,8 +239,8 @@
  
      static time_t timestamp(const string &filename, file::time mode = file::time::create) {
        #if !defined(_WIN32)
@@ -33,9 +33,9 @@
        #else
        struct __stat64 data;
        _wstat64(utf16_t(filename), &data);
---- purify/nall/file.hpp.orig	2012-04-23 02:11:07.000000000 -0400
-+++ purify/nall/file.hpp	2012-05-06 22:54:42.000000000 -0400
-@@ -160,8 +160,8 @@
+--- ananke/nall/file.hpp.orig	2013-01-11 13:26:29.000000000 -0500
++++ ananke/nall/file.hpp	2013-02-21 14:06:08.000000000 -0500
+@@ -218,8 +218,8 @@
  
      static bool exists(const string &filename) {
        #if !defined(_WIN32)
@@ -46,7 +46,7 @@
        #else
        struct __stat64 data;
        return _wstat64(utf16_t(filename), &data) == 0;
-@@ -170,8 +170,8 @@
+@@ -228,8 +228,8 @@
  
      static uintmax_t size(const string &filename) {
        #if !defined(_WIN32)
@@ -57,7 +57,7 @@
        #else
        struct __stat64 data;
        _wstat64(utf16_t(filename), &data);
-@@ -181,8 +181,8 @@
+@@ -239,8 +239,8 @@
  
      static time_t timestamp(const string &filename, file::time mode = file::time::create) {
        #if !defined(_WIN32)

Modified: head/emulators/higan/files/patch-target-ethos-Makefile
==============================================================================
--- head/emulators/bsnes/files/patch-target-ethos-Makefile	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/files/patch-target-ethos-Makefile	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,6 +1,6 @@
---- bsnes/target-ethos/Makefile.orig	2012-08-09 19:32:19.000000000 -0400
-+++ bsnes/target-ethos/Makefile	2012-10-07 22:43:24.000000000 -0400
-@@ -15,9 +15,9 @@
+--- higan/target-ethos/Makefile.orig	2013-01-12 16:59:47.000000000 -0500
++++ higan/target-ethos/Makefile	2013-02-21 14:00:38.000000000 -0500
+@@ -16,9 +16,9 @@
  
  # platform
  ifeq ($(platform),x)

Modified: head/emulators/higan/pkg-descr
==============================================================================
--- head/emulators/bsnes/pkg-descr	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/pkg-descr	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,13 +1,13 @@
-bsnes is an emulator that began development on 2004-10-14.
-The purpose of this emulator is a bit different from others:
-it focuses on accuracy, debugging functionality, and clean code.
+higan is a Nintendo multi-system emulator that began development
+on 2004-10-14.  The purpose of this emulator is a bit different from
+others: it focuses on accuracy, debugging functionality, and clean code.
 
 The emulator does not focus on things that would hinder accuracy.
 This includes speed and game-specific hacks for compatibility.
-As a result, the minimum system requirements for bsnes are very high.
+As a result, the minimum system requirements for higan are very high.
 
 The emulator itself was not derived from any existing emulator source code,
-such as SNES9x. It was written from scratch by myself.
+such as SNES9x. It was written from scratch.
 Any similarities to other emulators are merely coincidental.
 
-WWW: http://byuu.org/bsnes/
+WWW: http://byuu.org/higan/

Modified: head/emulators/higan/pkg-plist
==============================================================================
--- head/emulators/bsnes/pkg-plist	Fri Feb 22 11:44:20 2013	(r312762)
+++ head/emulators/higan/pkg-plist	Fri Feb 22 13:57:56 2013	(r312766)
@@ -1,5 +1,6 @@
-bin/bsnes
-bin/snespurify
-share/applications/bsnes.desktop
-share/pixmaps/bsnes.png
+bin/higan
+lib/libananke.so.1
+lib/libananke.so
+share/applications/higan.desktop
+share/pixmaps/higan.png
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2013-02-22 13:58:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!